#-----------------------------------------------------------------------------
%{?!dist:	%define	dist		.ok}
#-----------------------------------------------------------------------------
Name		:	cacti
Version		:	1.2.24
Release		:	17.0.10.rel%{?dist}

Summary		:	An rrd based graphing tool

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/Cacti/cacti

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	patch

# Core PHP libs/extensions required by Cacti
Requires	:	php-apache
Requires	:	php-ctype
Requires	:	php-date
Requires	:	php-dom
Requires	:	php-filter
Requires	:	php-gd
Requires	:	php-gettext
Requires	:	php-gmp
Requires	:	php-hash
Requires	:	php-iconv
Requires	:	php-intl
Requires	:	php-json
Requires	:	php-ldap
Requires	:	php-mbstring
Requires	:	php-mysqlnd
Requires	:	php-openssl
Requires	:	php-pcntl
Requires	:	php-pdo
Requires	:	php-pcre
Requires	:	php-posix
Requires	:	php-reflection
Requires	:	php-session
Requires	:	php-simplexml
Requires	:	php-snmp
Requires	:	php-sockets
Requires	:	php-spl
Requires	:	php-xml
Requires	:	php-zlib

# Cacti Requirements
Requires	:	mariadb
Requires	:	httpd
Requires	:	php
Requires	:	rrdtool
Requires	:	net-snmp
Requires	:	net-snmp-utils
Requires	:	cronie

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Cacti is a complete frontend to RRDTool. It stores all of the
necessary information to create graphs and populate them with
data in a MySQL database. The frontend is completely PHP

#-----------------------------------------------------------------------------
%files
%defattr(-,apache,apache,-)
%doc docs/ README.md cacti.sql
%license LICENSE
%{_sysconfdir}/%{name}/README-WHITELIST
%config(noreplace) %attr(0640,root,apache) %{_sysconfdir}/%{name}/db.php
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/cron.d/%{name}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/logrotate.d/%{name}.lr
%config(noreplace) %{_sysconfdir}/mysql/my.cnf.d/%{name}-mysql.cnf

%config(noreplace) %{_datadir}/%{name}/csrf/csrf-secret.php
%{_datadir}/%{name}/*.php
%{_datadir}/%{name}/cli/*.php
%{_datadir}/%{name}/cli/.htaccess
%{_datadir}/%{name}/cache/
%{_datadir}/%{name}/formats/
%{_datadir}/%{name}/images/
%{_datadir}/%{name}/include/
%{_datadir}/%{name}/install/
%{_datadir}/%{name}/lib/
%{_datadir}/%{name}/locales/*
%{_datadir}/%{name}/log/
%{_datadir}/%{name}/mibs/
%{_datadir}/%{name}/plugins/
%{_datadir}/%{name}/resource/
%{_datadir}/%{name}/rra/.htaccess
%{_datadir}/%{name}/scripts/diskfree.sh
%{_datadir}/%{name}/scripts/*.php
%{_datadir}/%{name}/scripts/*.pl
%{_datadir}/%{name}/scripts/.htaccess

#-----------------------------------------------------------------------------
%post
if [ "$1" = 1 ]; then
  chown apache:apache %{_datadir}/%{name}/scripts/
  chown apache:apache %{_datadir}/%{name}/rra/
  service mysqld restart > /dev/null 2>&1
  sleep 2;
  mysql_tzinfo_to_sql %{_datadir}/zoneinfo | mysql -u root  mysql
  mysqladmin --user=root create cacti
  mysql cacti < %{_defaultdocdir}/%{name}-%{version}/%{name}.sql
  (
  echo "GRANT ALL ON cacti.* TO cactiuser@localhost IDENTIFIED BY 'cactiuser';"
  echo "GRANT SELECT ON mysql.time_zone_name TO cactiuser@localhost;"
  echo "flush privileges;"
  ) | mysql --user=root mysql
  fi
#=============================================================================
%prep
%setup -q -n %{name}-release-%{version}

tar xf %{SOURCE1}

#log rotation is done via logrotae
sed -i							\
  -e "/^\$disable_log_rotation =/s/false;$/true;/"	\
  -e "s:^//\$path_csrf_secret:\$path_csrf_secret:"	\
  -e "/^\$path_csrf_secret =/s:/resource/:/csrf/:"	\
  -e "s:^\$cacti_cookie_domain://\$cacti_cookie_domain:"\
  -e "s:^//\$input_whitelist:\$input_whitelist:"	\
  -e "/^\$input_whitelist =/s:/usr/local/:/:"		\
  include/config.php.dist 

#-----------------------------------------------------------------------------
#building application
%build

#nothing to do
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/%{name}
%{__install} -d -m 0755 %{buildroot}/%{_datadir}/%{name}/csrf

%{__cp} -ar							\
	cache/							\
	cli/							\
	formats/						\
	images/							\
	include/						\
	install/						\
	lib/							\
	locales/						\
	log/							\
	mibs/							\
	plugins/						\
	rra/							\
	resource/						\
	scripts/						\
	%{buildroot}%{_datadir}/%{name}

%{__cp} *.php %{buildroot}/%{_datadir}/%{name}/


#install cron file	
%{__install} -p -D -m 0644					\
	%{name}-ok_addon/%{name}.cron				\
	%{buildroot}/%{_sysconfdir}/cron.d/%{name}

#install httpd configuration file	
%{__install} -D -m 0644						\
	%{name}-ok_addon/%{name}-httpd.conf			\
	%{buildroot}/%{_sysconfdir}/httpd/conf.d/%{name}.conf

#install log rotation file
%{__install} -D -m 0644						\
	%{name}-ok_addon/%{name}.logrotate			\
	%{buildroot}/%{_sysconfdir}/logrotate.d/%{name}.lr

#install WHITE LIST information note
%{__install} -D -m 0644						\
	%{name}-ok_addon/README-WHITELIST			\
	%{buildroot}/%{_sysconfdir}/%{name}

(
#database configuration
cd %{buildroot} 
%{__mv}								\
	.%{_datadir}/%{name}/include/config.php.dist		\
	.%{_sysconfdir}/%{name}/db.php
%{__ln_s}							\
	../../../..%{_sysconfdir}/%{name}/db.php		\
	.%{_datadir}/%{name}/include/config.php
)

# Create mysql configuration file
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/mysql/my.cnf.d
%{__cp}								\
	%{name}-ok_addon/%{name}-mysql.cnf			\
	%{buildroot}/%{_sysconfdir}/mysql/my.cnf.d

# Create csrf-secret.php
touch %{buildroot}/%{_datadir}/%{name}/csrf/csrf-secret.php
#-----------------------------------------------------------------------------
%changelog
